cog(1)

NAME
cog - single-window web browser

SYNOPSIS
cog [options] [URL]

DESCRIPTION
cog is a small, single-window web browser based on WPE WebKit. It provides no user interface and is suitable to be used as a web application container for embedded devices in kiosk mode. The URL of the website to be opened can be passed either from the command-line or with the COG_URL environment variable.

OPTIONS

-h, --help
    Show help options

--version
    Print version and exit

--print-appid
    Print application ID and exit

--scale=FACTOR
    Zoom/Scaling factor applied to Web content (default: 1.0, no scaling)

--device-scale=FACTOR
    Output device scaling factor (default: 1.0, no scaling, 96 DPI)

--doc-viewer
    Document viewer mode: optimizes for local loading of Web content. This reduces memory usage at the cost of reducing caching of resources loaded from the network.

-d, --dir-handler=SCHEME:PATH
    Add a URI scheme handler for a directory

--webprocess-failure=ACTION
    Action on WebProcess failures: error-page (default), exit, exit-ok, restart.

-C, --config=PATH
    Path to a configuration file

-b, --bg-color=BG_COLOR
    Background color, as a CSS name or in #RRGGBBAA hex syntax (default: white)

-P, --platform=NAME
    Platform plug-in to use.

-O, --platform-params=PARAMETERS
    Comma separated list of platform parameters.

--web-extensions-dir=PATH
    Load Web Extensions from given directory.

-F, --content-filter=PATH
    Load JSON file as a content filter.

ENVIRONMENT

COG_URL URL of the website to be opened

COG_PLATFORM_NAME Platform plug-in to use

COG_PLATFORM_PARAMS Comma separated list of platform parameters.

SEE ALSO
cogctl(1)

AUTHOR
This manual page was written by Alberto Garcia <berto@igalia.com>